Bug 1339293 - uwsgi-2.0.12-7.fc25 FTBFS: plugins/v8/v8_uwsgi.cc:17:69: error: 'Arguments' in namespace 'v8' does not name a type
Summary: uwsgi-2.0.12-7.fc25 FTBFS: plugins/v8/v8_uwsgi.cc:17:69: error: 'Arguments' i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uwsgi
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jorge Gallegos
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 15:14 UTC by Petr Pisar
Modified: 2016-08-23 19:23 UTC (History)
2 users (show)

Fixed In Version: uwsgi-2.0.13.1-2.fc24 uwsgi-2.0.13.1-2.fc23 uwsgi-2.0.13.1-2.el6 uwsgi-2.0.13.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-16 19:24:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2016-05-24 15:14:18 UTC
uwsgi-2.0.12-7.fc25 fails to build in F25:

*** mono plugin built and available in mono_plugin.so ***
+ CFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -Wno-unused-but-set-variable'
+ python uwsgiconfig.py --plugin plugins/v8 fedora
plugins/v8/v8_uwsgi.cc:17:69: error: 'Arguments' in namespace 'v8' does not name a type
 static v8::Handle<v8::Value> uwsgi_v8_api_register_signal(const v8::Arguments& args) {
                                                                     ^~~~~~~~~

This looks to be caused by upgrading v8-devel from 1:3.14.5.10-23.fc24 to 1:5.2.258-1.fc25.

This first noticed error <https://apps.fedoraproject.org/koschei/build/1674195>. First failue is a massive change in the build root <https://apps.fedoraproject.org/koschei/build/1673521> showing the v8-devel is not available on armhfp architecure.

Comment 1 Petr Pisar 2016-07-25 08:39:25 UTC
Because this package does not seem to be fixed any soon, I recommend to retire this package not to leak a broken package into stable F25 repositories.

Comment 2 Jan Kurik 2016-07-26 04:28:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Carl George 2016-08-01 19:16:55 UTC
Please don't retire the package.  I was recently added as a co-maintainer and will work on fixing it.

Comment 4 Fedora Update System 2016-08-02 22:04:20 UTC
uwsgi-2.0.13.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8acdca74d

Comment 5 Fedora Update System 2016-08-02 22:04:29 UTC
uwsgi-2.0.13.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8690209f8b

Comment 6 Fedora Update System 2016-08-02 22:04:43 UTC
uwsgi-2.0.13.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6d8d1b4abc

Comment 7 Fedora Update System 2016-08-03 13:16:30 UTC
uwsgi-2.0.13.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6122af25fc

Comment 8 Fedora Update System 2016-08-03 14:18:08 UTC
uwsgi-2.0.13.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6d8d1b4abc

Comment 9 Fedora Update System 2016-08-04 01:55:07 UTC
uwsgi-2.0.13.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8690209f8b

Comment 10 Fedora Update System 2016-08-04 01:58:09 UTC
uwsgi-2.0.13.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8acdca74d

Comment 11 Fedora Update System 2016-08-16 19:24:12 UTC
uwsgi-2.0.13.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-16 22:21:35 UTC
uwsgi-2.0.13.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-08-23 19:18:18 UTC
uwsgi-2.0.13.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-08-23 19:23:25 UTC
uwsgi-2.0.13.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.